/*
	File: ZVBDlg.cpp
	Author: Raja
	Date: Jan 16, 1996

	ZVBDialog inherits from CDialog and supports one
	additional functionality: VBX Events are first given back to the
	controls to give first crack at processing.
*/

#include "stdafx.h"
#include "zvbdlg.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

IMPLEMENT_DYNAMIC (ZVBDialog, CDialog)

#define new DEBUG_NEW

BEGIN_MESSAGE_MAP(ZVBDialog, CDialog)
	//{{AFX_MSG_MAP(ZVBDialog)
	ON_MESSAGE(WM_VBXEVENT, OnVBXEvent)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/************************************************************************/
// Raja 22/12/1995
// OnVBXEvent - WM_VBXEVENT handler.
// Whenever a VBX event comes our way, give it back to the child first,
// using the MFC standard way (OnChildNotify). Then call the base class
// handler.
/************************************************************************/

LRESULT ZVBDialog::OnVBXEvent(WPARAM wParam, LPARAM lParam)
{
	ASSERT(wParam != 0);    // 0 control IDs are not allowed !
	CWnd *pWnd = GetDlgItem (wParam);
	ASSERT (pWnd);
	if (pWnd) {
		ASSERT (pWnd->IsKindOf (RUNTIME_CLASS (CVBControl)));
		if (pWnd->SendChildNotifyLastMsg ())
			return TRUE;		// eaten by child
	}
	return CDialog::OnVBXEvent (wParam, lParam);
}


